Home » RDBMS Server » Server Administration » Unable to drop user after upgrade
Unable to drop user after upgrade [message #172692] Wed, 17 May 2006 12:05 Go to next message
tracyjs
Messages: 3
Registered: May 2006
Junior Member
After upgrading my Oracle 9.2.0.4 installation to 9.2.0.7 I am now unable to drop users. I receive the following error messages when logged in as system.

SQL> drop user LM_90_BETA_SPARC3 cascade;
drop user LM_90_BETA_SPARC3 cascade
*
ERROR at line 1:
ORA-01001: invalid cursor
ORA-00600: internal error code, arguments: [qmxiUnpPacked2], [121], [], [], [],
[], [], []

In case it makes a difference the installation is on Windows 2000 machine.

Regards, Tracy
Re: Unable to drop user after upgrade [message #172700 is a reply to message #172692] Wed, 17 May 2006 12:34 Go to previous messageGo to next message
Mahesh Rajendran
Messages: 10672
Registered: March 2002
Location: oracleDocoVille
Senior Member
Account Moderator
Pleas check Metalink Note Note:339070.1
Re: Unable to drop user after upgrade [message #172742 is a reply to message #172692] Wed, 17 May 2006 19:00 Go to previous messageGo to next message
tracyjs
Messages: 3
Registered: May 2006
Junior Member
Thanks Mahesh,

I had already run the catpatch.sql script numerous times, however this time I followed the links to related documents

339070.1 -> 222876.1 -> 235423.1 ->

which finally linked to an updated xdbpatch.sql script in doc 237305.1

after updating the script and re-running catpatch.sql I am now getting further in the process, however I am still receiving errors and unable to drop my users

ERROR at line 1:
ORA-01001: invalid cursor
ORA-01038: cannot write database file version 9201 with ORACLE version 9202

I can find no workaround for this one in metalinks and I am not at all sure where the 9201 and 9202 versions are coming from. I believe I have run all of the upgrade steps multiple times, each time without errors from the scripts.

I see one thing that apparently has not been upgraded to 9.2.0.7 - Oracle Workspace Manager.

SQL> column comp_name format a35
SQL> select comp_name, status, substr(version,1,10) as version
2 from dba_registry;

COMP_NAME STATUS VERSION
----------------------------------- ----------- ----------
Oracle9i Catalog Views VALID 9.2.0.7.0
Oracle9i Packages and Types VALID 9.2.0.7.0
Oracle Workspace Manager VALID 9.2.0.1.0
JServer JAVA Virtual Machine VALID 9.2.0.7.0
Oracle XDK for Java VALID 9.2.0.9.0
Oracle9i Java Packages VALID 9.2.0.7.0
Oracle interMedia VALID 9.2.0.7.0
Spatial VALID 9.2.0.7.0
Oracle Text VALID 9.2.0.7.0
Oracle XML Database VALID 9.2.0.7.0
Oracle Ultra Search VALID 9.2.0.7.0

COMP_NAME STATUS VERSION
----------------------------------- ----------- ----------
Oracle Data Mining VALID 9.2.0.7.0
OLAP Analytic Workspace UPGRADED 9.2.0.7.0
Oracle OLAP API UPGRADED 9.2.0.7.0
OLAP Catalog VALID 9.2.0.7.0

15 rows selected.

Any further help would be appreciated.

Regards, Tracy.
Re: Unable to drop user after upgrade [message #172761 is a reply to message #172742] Wed, 17 May 2006 22:11 Go to previous messageGo to next message
Mahesh Rajendran
Messages: 10672
Registered: March 2002
Location: oracleDocoVille
Senior Member
Account Moderator
What a mess!!.
Just curious, what is the value of parameter COMPATIBLE?
Also, did you check up with the shared_pool recomendation in one of the recomended docs?
If nothing works, I would open a TAR.
Regards
Re: Unable to drop user after upgrade [message #172942 is a reply to message #172742] Thu, 18 May 2006 13:16 Go to previous messageGo to next message
tracyjs
Messages: 3
Registered: May 2006
Junior Member


compatible 9.2.0.0.0

yup, followed the shared_pool recommendations.

Thanks for the help, at this time I guess I might need to talk to Oracle Tech Support,

Tracy.


Re: Unable to drop user after upgrade [message #195601 is a reply to message #172692] Fri, 29 September 2006 11:06 Go to previous messageGo to next message
Desjardins
Messages: 1
Registered: September 2006
Location: Ontario
Junior Member
Good day,

I am getting the same error as you did. Did you ever get a resolution? If so, can you point me in the right direction?

ie: upgrade 9.2.0.1 to 9.2.0.7
Now can't DROP users... can't CREATE users...
Getting ORA-01001 invalid cursor error.

Michel Desjardins
Re: Unable to drop user after upgrade [message #195747 is a reply to message #195601] Mon, 02 October 2006 02:07 Go to previous messageGo to next message
Mohammad Taj
Messages: 2412
Registered: September 2006
Location: Dubai, UAE
Senior Member

ORA-01038: cannot write database file version string with ORACLE version string

Cause: Attempting to write datafile headers in an old format. The new format can not be used until after the database has been verified as being compatible with this software version.

Action: Open the database to advance to the new file formats, then repeat the operation. If the operation is required before the database can be opened, then use the previous software release to do the operation.



Re: Unable to drop user after upgrade [message #301991 is a reply to message #172742] Fri, 22 February 2008 11:03 Go to previous messageGo to next message
jkane
Messages: 1
Registered: February 2008
Junior Member
Did you ever get a work around for the ORA-01038: cannot write database file version... error. I received it trying to upgrade from 9i to 10g.
I'm working with support now but we have not come up with anything yet.

Thanks
Re: Unable to drop user after upgrade [message #301998 is a reply to message #301991] Fri, 22 February 2008 11:24 Go to previous messageGo to next message
Mahesh Rajendran
Messages: 10672
Registered: March 2002
Location: oracleDocoVille
Senior Member
Account Moderator
Please post more information.
oracle versions (upto 4 digits).
What exact method are you using to upgrade.
Exact error message. Verbatim.
Re: Unable to drop user after upgrade [message #307053 is a reply to message #301998] Mon, 17 March 2008 13:36 Go to previous message
parthav
Messages: 5
Registered: October 2007
Location: Santa Clara, CA
Junior Member
I had the same problem, unable to drop the user after upgrade and running the catpatch.sql.

Created new user and dropped the user and then i am able to drop all the users.

It worked for me and i am not sure this will help everyone.

Goodluck
Previous Topic: ASM problem
Next Topic: How to check the status of database
Goto Forum:
  


Current Time: Sat Dec 10 20:37:48 CST 2016

Total time taken to generate the page: 0.09713 seconds